/// <reference types="node" />
import { BrotliOptions, ZlibOptions } from "zlib";
import { Readable } from "stream";
import { AsyncEnumerableLike, StreamEvent, StreamMode } from "@reactive-js/async-enumerable";
import { HttpContentEncoding, HttpContent, MediaType } from "@reactive-js/http";
export declare const encodeHttpContent: (contentBody: HttpContent<AsyncEnumerableLike<StreamMode, StreamEvent<Buffer>>>, encoding: HttpContentEncoding, options: BrotliOptions | ZlibOptions) => HttpContent<AsyncEnumerableLike<StreamMode, StreamEvent<Buffer>>>;
export declare const decodeHttpContent: (contentBody: HttpContent<AsyncEnumerableLike<StreamMode, StreamEvent<Buffer>>>, options: BrotliOptions | ZlibOptions) => HttpContent<AsyncEnumerableLike<StreamMode, StreamEvent<Buffer>>>;
export declare const createBufferHttpContent: (chunk: Buffer, contentType: string | MediaType) => HttpContent<AsyncEnumerableLike<StreamMode, StreamEvent<Buffer>>>;
export declare const createReadableHttpContent: (factory: () => Readable, contentType: string | MediaType, contentLength?: number) => HttpContent<AsyncEnumerableLike<StreamMode, StreamEvent<Buffer>>>;
export declare const createStringHttpContent: (content: string, contentType: string | MediaType) => HttpContent<AsyncEnumerableLike<StreamMode, StreamEvent<Buffer>>>;
export declare const contentIsCompressible: (content: HttpContent<AsyncEnumerableLike<StreamMode, StreamEvent<Buffer>>>) => boolean;
//# sourceMappingURL=httpContent.d.ts.map